Skip to main content
GET
/
recommendations
/
{recommendation_token}
/
resources
/
{resource_token}
Get specific resource for a recommendation
curl --request GET \
  --url https://api.vantage.sh/v2/recommendations/{recommendation_token}/resources/{resource_token} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.vantage.sh/v2/recommendations/{recommendation_token}/resources/{resource_token}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.vantage.sh/v2/recommendations/{recommendation_token}/resources/{resource_token}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "token": "prvdr_rsrc_3065ac9b0999c363",
  "resource_id": "i-12345",
  "recommendation_actions": [
    {
      "action": "modify",
      "description": "Migrate to c5a.xlarge. Reasons: CPU over-provisioned, EBS IOPS over-provisioned, EBS throughput over-provisioned, Network bandwidth over-provisioned, and Network PPS over-provisioned.",
      "potential_savings": "100.0",
      "instance_type": "c5a.xlarge",
      "remediation_cli_command": "aws ec2 modify-instance-attribute --instance-id i-12345 --instance-type '{\"Value\": \"c5a.xlarge\"}'"
    }
  ]
}
{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

recommendation_token
string
required
resource_token
string
required

Response

RecommendationProviderResource model

token
string
required
uuid
string
required

The unique identifier for the resource.

Example:

"i-0a1b2c3d4e5f6g7h8"

type
string
required

The kind of resource.

Example:

"aws_instance"

label
string | null
required
metadata
object | null
required

Type-specific attributes of the resource.

account_id
string | null
required

The provider account where the resource is located.

billing_account_id
string | null
required

The provider billing account this resource is charged to.

provider
string
required

The provider of the resource.

Example:

"aws"

region
string | null
required

The region where the resource is located. Region values are specific to each provider.

Example:

"us-west-2"

created_at
string
required

The date and time when Vantage first observed the resource.

tags
object
required

Key-value pairs of tags associated with the resource.

resource_id
string
required

The unique identifier of the Active Resource.

Example:

"i-0a1b2c3d4e5f6g7h8"

costs
object[]

The cost of the resource broken down by category.

recommendation_actions
object[]

The actions to take to implement the Recommendation.